/*
 * @Description: 
 * @Version: 1.0
 * @Autor: lishengyin
 * @Date: 2022-04-26 11:17:58
 * @LastEditors: lishengyin
 * @LastEditTime: 2022-04-26 11:42:11
 */

#ifndef __KUBESPHERENODES_HPP_
#define __KUBESPHERENODES_HPP_

#include "K8sServerBase.hpp"


class KubeSphereNodes:public MsgBase
{
public:
    int KSNODESID;
    std::string UID;
    std::string NAME;
    std::string CREATIONTIMESTAMP;
    std::string LABELS;
    std::string CAPACITY;
    std::string ALLOCATABLE;
    std::string CONDITIONS;
    std::string ADDRESSES;

public:
    KubeSphereNodes(){}
    ~KubeSphereNodes(){}


    /**
     * @description: objectToJson
     * @param {string&} str
     * @return {*}
     */    
    void objectToJson(std::string& str) override;

    /**
     * @description: jsonToObject
     * @param {string&} json
     * @return {*}
     */    
    bool jsonToObject(const std::string& json) override;

    /**
     * @description: jsonToObject
     * @param {Value&} object
     * @return {*}
     */    
    bool jsonToObject(const rapidjson::Value& object) override;

    /**
     * @description: ObjectToSql
     * @param {string&} sql
     * @return {*}
     */    
    virtual bool ObjectToSql(std::string& sql) override;
};





#endif