/*
 * @Description: 
 * @Version: 1.0
 * @Autor: lishengyin
 * @Date: 2022-04-26 16:41:31
 * @LastEditors: lishengyin
 * @LastEditTime: 2022-04-26 17:04:47
 */
#ifndef __KUBESPHERESERVERS_HPP_
#define __KUBESPHERESERVERS_HPP_

#include "K8sServerBase.hpp"


class KubeSphereServers:public MsgBase
{
public:
    std::string NAME;
    std::string NAMESPACE;
    std::string UID;
    std::string LABELS;
    std::string PORTS;
    std::string CLUSTERIP;
    std::string TYPE;

public: 
    KubeSphereServers(){}
    ~KubeSphereServers(){}


    /**
     * @description: objectToJson
     * @param {string&} str
     * @return {*}
     */    
    void objectToJson(std::string& str) override;

    /**
     * @description: jsonToObject
     * @param {string&} json
     * @return {*}
     */    
    bool jsonToObject(const std::string& json) override;

    /**
     * @description: jsonToObject
     * @param {Value&} object
     * @return {*}
     */    
    bool jsonToObject(const rapidjson::Value& object) override;

    /**
     * @description: ObjectToSql
     * @param {string&} sql
     * @return {*}
     */    
    virtual bool ObjectToSql(std::string& sql) override;
};











#endif