/*
 * @Description: 
 * @Version: 1.0
 * @Autor: lishengyin
 * @Date: 2022-04-24 15:49:03
 * @LastEditors: lishengyin
 * @LastEditTime: 2022-04-25 08:56:39
 */
#ifndef __APOLLOKSSERVERSTEMPLATE_HPP_
#define __APOLLOKSSERVERSTEMPLATE_HPP_

#include "K8sServerBase.hpp"

class ApolloKsServersTemplate:public MsgBase
{
public:
    int SERVERID;
    int APOLLONAMESPACEID;
    int USERID;
    std::string data;
    
public:
    ApolloKsServersTemplate(){}
    ~ApolloKsServersTemplate(){}

    /**
     * @description: objectToJson
     * @param {string&} str
     * @return {*}
     */    
    void objectToJson(std::string& str) override;

    /**
     * @description: jsonToObject
     * @param {string&} json
     * @return {*}
     */    
    bool jsonToObject(const std::string& json) override;

    /**
     * @description: jsonToObject
     * @param {Value&} object
     * @return {*}
     */    
    bool jsonToObject(const rapidjson::Value& object) override;

    /**
     * @description: ObjectToSql
     * @param {string&} sql
     * @return {*}
     */    
    virtual bool ObjectToSql(std::string& sql) override;
};




#endif