/*
 * @Description: 
 * @Version: 1.0
 * @Autor: lishengyin
 * @Date: 2022-04-06 10:40:01
 * @LastEditors: lishengyin
 * @LastEditTime: 2022-04-24 15:20:46
 */
#ifndef __K8SSERVERPODS_HPP_
#define __K8SSERVERPODS_HPP_


#include "K8sServerBase.hpp"

template<typename T>
class K8sServerPods:public MsgBase
{
public:
    
public:
    K8sServerPods(){}
    ~K8sServerPods(){}

    /**
     * @description: objectToJson
     * @param {string&} str
     * @return {*}
     */   
    void objectToJson(std::string& str) override;

    /**
     * @description: jsonToObject
     * @param {string&} json
     * @return {*}
     */    
    bool jsonToObject(const std::string& json) override;

    /**
     * @description: jsonToObject
     * @param {Value&} object
     * @return {*}
     */    
    bool jsonToObject(const rapidjson::Value& object) override;
};



#endif