/*
 * @Description: 
 * @Version: 1.0
 * @Autor: lishengyin
 * @Date: 2022-04-06 10:01:44
 * @LastEditors: lishengyin
 * @LastEditTime: 2022-04-24 15:20:50
 */
#ifndef __K8SSERVERRESULTMSY_HPP_
#define __K8SSERVERRESULTMSY_HPP_

#include "K8sServerBase.hpp"


template <typename T>
class K8sServerResultMsy:public MsgBase
{
private:
    std::string kind;
    std::string apiVersion;
    Metadata metadata;
    vector<T> items;

public:
    K8sServerResultMsy(){}
    ~K8sServerResultMsy(){}

    /**
     * @description: objectToJson
     * @param {string&} str
     * @return {*}
     */    
    void objectToJson(std::string& str) override;

    /**
     * @description: jsonToObject
     * @param {string&} json
     * @return {*}
     */    
    bool jsonToObject(const std::string& json) override;

    /**
     * @description: jsonToObject
     * @param {Value&} object
     * @return {*}
     */    
    bool jsonToObject(const rapidjson::Value& object) override;
};



#endif
