/*
 * @Description: 
 * @Version: 1.0
 * @Autor: lishengyin
 * @Date: 2022-04-25 10:04:10
 * @LastEditors: lishengyin
 * @LastEditTime: 2022-04-25 14:08:15
 */
#ifndef __KUBESPHERETOKEN_HPP_
#define __KUBESPHERETOKEN_HPP_

#include "K8sServerBase.hpp"

class KubusphrereToken: public MsgBase
{
public:
    std::string access_token;
    std::string token_type;
    std::string refresh_token;
    int expires_in;
    
public:
    KubusphrereToken(){}
    ~KubusphrereToken(){}

    /**
     * @description: objectToJson
     * @param {string&} str
     * @return {*}
     */    
    virtual void objectToJson(std::string& str) override;

    /**
     * @description: jsonToObject
     * @param {string&} json
     * @return {*}
     */    
    virtual bool jsonToObject(const std::string& json) override;

    /**
     * @description: ObjectToSql
     * @param {string&} sql
     * @return {*}
     */    
    virtual bool ObjectToSql(std::string& sql) override;
};





#endif